#include <iostream>
using namespace std;

class Catzel
{
	int varsta;
	char* nume;
	char* culoare;
	float greutate;
	char sex;
	int *nrVaccinuri;
	static int nrCatei;

public:
	Catzel()
	{
		varsta = 0;
		nume = new char[strlen("Cutzu")+1];
		strcpy(nume, "Cutzu");
		culoare = new char[strlen("alb")+1];
		strcpy(culoare, "alb");
		greutate = 0.0f;
		sex = 'M';
		nrVaccinuri = NULL;
	}

	Catzel(int v, char *n, char *c, float g, char s, int *nrv)
	{
		varsta = v;
		nume = new char[strlen(n)+1];
		strcpy(nume, n);
		culoare = new char[strlen(c)+1];
		strcpy(culoare, c);
		greutate = g;
		sex = s;
		nrVaccinuri = new int[varsta];
		for(int i=0;i<varsta;i++)
			nrVaccinuri[i] = nrv[i];
	}

	~Catzel()
	{
		delete[] nume;
		delete[] culoare;
		delete[] nrVaccinuri;
	}

	void afisare()
	{
		cout<<"Catelul "<<nume<<" are varsta "<<varsta<<
			" culoarea "<<culoare<<" greutatea "<<greutate<<
			" sexul "<<sex<<" si numar vaccinuri: "<<endl;
		for(int i=0;i<varsta;i++)
			cout<<nrVaccinuri[i]<<" ";
		cout<<endl;
	}

	int getVarsta()
	{
		return varsta;
	}

	void setVarsta(int v)
	{
		if(v>0) varsta = v;
	}

	char* getCuloare()
	{
		return culoare;
	}

	void setCuloare(char *c)
	{
		delete[] culoare;
		culoare = new char[strlen(c)+1];
		strcpy(culoare, c);
	}

	float getGreutate()
	{
		return greutate;
	}

	void setGreutate(float g)
	{
		if (g>0) greutate = g;
	}

	char getSex()
	{
		return sex;
	}

	void setSex(char s)
	{
		sex = s;
	}

	void setNrVaccinuri(int *nrv, int v)
	{
		delete[] nrVaccinuri;
		varsta=v;
		nrVaccinuri = new int[varsta];
		for(int i=0;i<varsta;i++)
			nrVaccinuri[i] = nrv[i];
	}

	float medie()
	{
		int suma = 0;
		for(int i=0;i<varsta;i++)
			suma += nrVaccinuri[i];
		return (float)suma/varsta;
	}
};

void main()
{
	Catzel c1;
	int nrv[3] = {2, 1, 3};
	Catzel c2(3, "Azorica", "negru", 5.2f, 'M', nrv);

	c1.afisare();
	c2.afisare();

	c2.setCuloare("rosu");
	cout<<"Culoare lui c2: "<<c2.getCuloare()<<" si varsta "<<c2.getVarsta()<<endl;
	c2.afisare();

	int nrv1[5] = {3, 2, 4, 5, 2};
	c2.setNrVaccinuri(nrv1, 5);
	c2.afisare();
	cout<<"Azorica a facut in medie "<<c2.medie()<<" vaccinuri"<<endl;
}
