#include <iostream>
#include <fstream>
using namespace std;

class Gladiator
{
	char *nume;
	const int nrLupte;
	float greutate;
	char** gladiatoriInvinsi;
	int nrGladiatoriInvinsi;
	char sex;

public:
	static int nrBarbati;
	static int nrFemei;

	Gladiator():nrLupte(0)
	{
		nume = new char[strlen("Anonim")+1];
		strcpy(nume, "Anonim");
		greutate = 0.0f;
		nrGladiatoriInvinsi = 1;
		gladiatoriInvinsi = new char*[nrGladiatoriInvinsi];
		gladiatoriInvinsi[0] = new char[strlen("Spartacus")+1];
		strcpy(gladiatoriInvinsi[0], "Spartacus");
		sex = 'F';
		nrFemei++;
	}

	Gladiator(char *n, int nrl, float g, int nrg, char **gi, char s):nrLupte(nrl)
	{
		nume = new char[strlen(n)+1];
		strcpy(nume, n);
		greutate = g;
		nrGladiatoriInvinsi = nrg;
		gladiatoriInvinsi = new char*[nrGladiatoriInvinsi];
		for(int i=0;i<nrGladiatoriInvinsi;i++)
		{
			gladiatoriInvinsi[i] = new char[strlen(gi[i])+1];
			strcpy(gladiatoriInvinsi[i], gi[i]);
		}
		sex = s;
		if (sex=='M')
			nrBarbati++;
		else
			nrFemei++;
	}

	~Gladiator()
	{
		delete[] nume;
		for(int i=0;i<nrGladiatoriInvinsi;i++)
			delete[] gladiatoriInvinsi[i];
		delete[] gladiatoriInvinsi;
		if(sex == 'M')
			nrBarbati--;
		else nrFemei--;
	}

	void afisare();
	/*void afisare()
	{
		cout<<"Gladiatorul "<<nume<<" are nr lupte "<<nrLupte<<
			" greutatea "<<greutate<<" sexul "<<sex<<" si a invins "<<nrGladiatoriInvinsi<<" gladiatori"<<endl;
		cout<<"Gladiatorii invinsi sunt: "<<endl;
		for(int i=0;i<nrGladiatoriInvinsi;i++)
			cout<<gladiatoriInvinsi[i]<<" ";
		cout<<endl;
	}*/

	//friend ostream& operator<<(ostream& out, Gladiator g);
	friend ostream& operator<<(ostream& out, Gladiator &g)
	{
		out<<"Gladiatorul "<<g.nume<<" are nr lupte "<<g.nrLupte<<
			" greutatea "<<g.greutate<<" sexul "<<g.sex<<" si a invins "<<g.nrGladiatoriInvinsi<<" gladiatori"<<endl;
		out<<"Gladiatorii invinsi sunt: "<<endl;
		for(int i=0;i<g.nrGladiatoriInvinsi;i++)
			out<<g.gladiatoriInvinsi[i]<<" ";
		out<<endl;
		return out;
	}

	friend istream& operator>>(istream& in, Gladiator &g)
	{
		delete[] g.nume;
		cout<<"Nume: "<<endl;
		char buffer[20];
		in>>buffer;
		g.nume = new char[strlen(buffer)+1];
		strcpy(g.nume, buffer);
		cout<<"Greutate: "<<endl;
		in>>g.greutate;
		for(int i=0;i<g.nrGladiatoriInvinsi;i++)
			delete[] g.gladiatoriInvinsi[i];
		delete[] g.gladiatoriInvinsi;
		cout<<"Nr gladiatori: "<<endl;
		in>>g.nrGladiatoriInvinsi;
		cout<<"Lista gladiatori: "<<endl;
		g.gladiatoriInvinsi = new char*[g.nrGladiatoriInvinsi];
		for(int i=0;i<g.nrGladiatoriInvinsi;i++)
		{
			in>>buffer;
			g.gladiatoriInvinsi[i] = new char[strlen(buffer)+1];
			strcpy(g.gladiatoriInvinsi[i], buffer);
		}
		if(g.sex=='M')
			nrBarbati--;
		else
			nrFemei--;
		cout<<"Sex: "<<endl;
		in>>g.sex;
		if(g.sex=='M')
			nrBarbati++;
		else
			nrFemei++;
		return in;
	}

	friend ofstream& operator<<(ofstream& out, Gladiator g)
	{
		out<<"Gladiatorul "<<g.nume<<" are nr lupte "<<g.nrLupte<<
			" greutatea "<<g.greutate<<" sexul "<<g.sex<<" si a invins "<<g.nrGladiatoriInvinsi<<" gladiatori"<<endl;
		out<<"Gladiatorii invinsi sunt: "<<endl;
		for(int i=0;i<g.nrGladiatoriInvinsi;i++)
			out<<g.gladiatoriInvinsi[i]<<" ";
		out<<endl;
		return out;
	}

	Gladiator(Gladiator &g):nrLupte(g.nrLupte)
	{
		nume = new char[strlen(g.nume)+1];
		strcpy(nume, g.nume);
		greutate = g.greutate;
		nrGladiatoriInvinsi = g.nrGladiatoriInvinsi;
		gladiatoriInvinsi = new char*[nrGladiatoriInvinsi];
		for(int i=0;i<nrGladiatoriInvinsi;i++)
		{
			gladiatoriInvinsi[i] = new char[strlen(g.gladiatoriInvinsi[i])+1];
			strcpy(gladiatoriInvinsi[i], g.gladiatoriInvinsi[i]);
		}
		sex = g.sex;
		if (sex=='M')
			nrBarbati++;
		else
			nrFemei++;
	}

	void operator=(Gladiator g)
	{
		delete[] nume;
		nume = new char[strlen(g.nume)+1];
		strcpy(nume, g.nume);
		greutate = g.greutate;
		for(int i=0;i<nrGladiatoriInvinsi;i++)
			delete[] gladiatoriInvinsi[i];
		delete[] gladiatoriInvinsi;
		nrGladiatoriInvinsi = g.nrGladiatoriInvinsi;
		gladiatoriInvinsi = new char*[nrGladiatoriInvinsi];
		for(int i=0;i<nrGladiatoriInvinsi;i++)
		{
			gladiatoriInvinsi[i] = new char[strlen(g.gladiatoriInvinsi[i])+1];
			strcpy(gladiatoriInvinsi[i], g.gladiatoriInvinsi[i]);
		}
		if (sex=='M')
			Gladiator::nrBarbati--;
		else
			Gladiator::nrFemei--;
		sex = g.sex;
		if (sex=='M')
			Gladiator::nrBarbati++;
		else
			Gladiator::nrFemei++;
	}
};

int Gladiator::nrBarbati = 0;
int Gladiator::nrFemei = 0;

//ostream& operator<<(ostream& out, Gladiator g)
//{
//		out<<"Gladiatorul "<<g.nume<<" are nr lupte "<<g.nrLupte<<
//			" greutatea "<<g.greutate<<" sexul "<<g.sex<<" si a invins "<<g.nrGladiatoriInvinsi<<" gladiatori"<<endl;
//		out<<"Gladiatorii invinsi sunt: "<<endl;
//		for(int i=0;i<g.nrGladiatoriInvinsi;i++)
//			out<<g.gladiatoriInvinsi[i]<<" ";
//		out<<endl;
//		return out;
//}

void Gladiator::afisare()
{
		cout<<"Gladiatorul "<<nume<<" are nr lupte "<<nrLupte<<
			" greutatea "<<greutate<<" sexul "<<sex<<" si a invins "<<nrGladiatoriInvinsi<<" gladiatori"<<endl;
		cout<<"Gladiatorii invinsi sunt: "<<endl;
		for(int i=0;i<nrGladiatoriInvinsi;i++)
			cout<<gladiatoriInvinsi[i]<<" ";
		cout<<endl;
}

void main()
{
	Gladiator g1;
	char *gi[3] = {"Atticus", "Crixus", "Marcus"};
	Gladiator g2("Leonidas",3, 90, 3, gi, 'M');

	Gladiator g3 = g2;
	Gladiator g4(g2);

	Gladiator g5;
	g5 = g3;

	g1.afisare();
	g2.afisare();
	g3.afisare();
	g4.afisare();
	g5.afisare();

	cout<<"Nr barbati: "<<Gladiator::nrBarbati<<endl;
	cout<<"Nr femei: "<<Gladiator::nrFemei<<endl;

	cout<<g4<<g5;

	ofstream f("iesire.txt", ios_base::out);
	f<<g5;
	f.close();

	cin>>g4;
	cout<<g4;
	cout<<"Nr barbati: "<<Gladiator::nrBarbati<<endl;
	cout<<"Nr femei: "<<Gladiator::nrFemei<<endl;
}